%define		pearname	Pager
%define		status		stable
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - generic data paging class
Summary(pl.UTF-8):	%{pearname} - podstawowa klasa do dzielenia na strony
Name:		php-pear-%{pearname}
Version:	2.5.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	ceb5033548fe0520773bfe6f22e24886
URL:		http://pear.php.net/package/Pager/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php-pear
Obsoletes:	php-pear-Pager-tests
Obsoletes:	php-pear-Pager_Sliding
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you have data that needs paging (ie 1-10 on page one, 11-20 on page
two) this class can help. Pass it an array of data and it will sort it
into pages, picking up the current page id from the url. It can also
give you back/next and page number links taking the current url and
adding the correct page id to it.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ta klasa pomaga w sytuacji, kiedy dane wymagają podziału na strony
(np. pozycje 1-10 na pierwszej stronie, 11-20 na drugiej itd.). Po
przekazaniu tablicy danych klasa dzieli na strony, pobierając
identyfikator strony z URL-a. Może także podać odnośniki do
poprzedniej i następnej strony, biorąc aktualny URL i dodając do niego
właściwe identyfikatory stron.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/%{pearname}/*
%{php_pear_dir}/Pager
%{php_pear_dir}/Pager.php
%{php_pear_dir}/.registry/*.reg
%changelog
* Thu Feb 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Pager.git;a=log;h=master

* Thu Feb 28 2019 Adam Gołębiowski <adamg@pld-linux.org> fe4049d
- updated to 2.5.1

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 5b73a28
- drop epoch 0, cleanups

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 422326e
- up to 2.4.9

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 14eb2f5
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> eaeb60d
- dropped -tests subpackage

* Sun May 03 2009 Adam Gołębiowski <adamg@pld-linux.org> 6944999
- updated to 2.4.8

* Mon Aug 11 2008 Adam Gołębiowski <adamg@pld-linux.org> 03f8ab7
- updated to 2.4.7

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> 81c5cd4
- updated to 2.4.6

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 7de1c3b
- rel 2

* Wed Aug 22 2007 Adam Gołębiowski <adamg@pld-linux.org> 45cbaa8
- updated to 2.4.4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cc0d602
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d84ef5e
- converted to UTF-8

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> 718f7d3
- updated to 2.4.3

* Sun Jun 11 2006 Elan Ruusamäe <glen@pld-linux.org> 4006b92
- 2.4.2

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> d8d4b33
- BR rpm-build macros >= 1.300 for %pear_ macros

* Fri May 19 2006 Elan Ruusamäe <glen@pld-linux.org> e41d57a
- 2.4.1

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> dc28b20
- updated to 2.4.0

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 5e053c1
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 5dc883b
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 919eaed
- group Development/Languages/PHP for -tests

